Opened 9 years ago

Closed 8 years ago

Last modified 8 years ago

#1918 closed defect (fixed)

Viaccess modification in 5331 introduced a bug with Orange card

Reported by: littlejoe Owned by: goodsat
Priority: blocker Component: Reader
Severity: high Keywords: viaccess
Cc: Sensitive: no

Description

Revision

5331 onward (5126 and 5328 are OK)

Issue Description

Orange - France 3 on 19E (0500&032920/1F57) fake ECM black screen

When the issue occurs

Always

How the issue is reproducable

Just zap to France 3 on 19E with an orange card (0500:032920)

Log from 5365 of a fake CW attached.

Attachments (5)

logFR3badCW.txt (6.8 KB) - added by littlejoe 9 years ago.
log5440-OK.txt (9.3 KB) - added by littlejoe 8 years ago.
log5441-KO.txt (9.3 KB) - added by littlejoe 8 years ago.
log5440orangeOK.txt (12.2 KB) - added by littlejoe 8 years ago.
patch_tntsat_orange.diff (975 bytes) - added by lightman33 8 years ago.
patch for 5603 svn

Download all attachments as: .zip

Change History (22)

Changed 9 years ago by littlejoe

Attachment: logFR3badCW.txt added

comment:1 Changed 9 years ago by littlejoe

Cc: littlejoe added
Owner: set to _network

Have assigned to _network because he's working on viaccess these times ;-)

Changed 8 years ago by littlejoe

Attachment: log5440-OK.txt added

Changed 8 years ago by littlejoe

Attachment: log5441-KO.txt added

comment:2 Changed 8 years ago by littlejoe

Owner: changed from _network to goodsat
Priority: criticalblocker

FR3 with Orange card on 19.2E is back with [5440] but all the Orange channels (0500:032920) are not working anymore with [5441].

comment:3 Changed 8 years ago by littlejoe

Tested with [5469]: not working. (see below). The fix in [5447] did not solve this issue with provider 0500:032920.

myDM800: [LOG130]2011/06/23 17:02:12 2B0E94B0 r ecm:
myDM800: [LOG131]2011/06/23 17:02:12 2B0E94B0 80 70 A9 01 80 28 90 07 03 29 20 08 05 74 00 E0
myDM800: [LOG132]2011/06/23 17:02:12 2B0E94B0 01 20 EA 10 EC AE 70 59 01 B5 CA CB 65 8C 42 22
myDM800: [LOG133]2011/06/23 17:02:12 2B0E94B0 11 7C F3 69 F0 08 6F 2E B9 10 26 FF 69 3A 80 28
myDM800: [LOG134]2011/06/23 17:02:12 2B0E94B0 90 07 03 29 20 08 06 11 00 E0 01 20 EA 10 61 28
myDM800: [LOG136]2011/06/23 17:02:12 2B0E94B0 A8 10 F9 D8 AC 1A 15 8D 80 28 90 07 03 29 20 08
myDM800: [LOG137]2011/06/23 17:02:12 2B0E94B0 06 11 01 E0 01 20 EA 10 68 3A 67 D1 EC 60 AF EB
myDM800: [LOG138]2011/06/23 17:02:12 2B0E94B0 16 A4 4A 50 6F 4C 3B 1C F0 08 BF 22 98 79 9B C0
myDM800: [LOG139]2011/06/23 17:02:12 2B0E94B0 E1 CE 80 28 90 07 03 29 20 08 05 74 01 E0 01 20
myDM800: [LOG140]2011/06/23 17:02:12 2B0E94B0 EA 10 B8 6F 4B 45 E0 71 15 51 9D 8F EA C6 8D E2
myDM800: [LOG141]2011/06/23 17:02:12 2B0E94B0 A0 DB F0 08 4A 50 7B EB 2B 5A 57 E2
myDM800: [LOG142]2011/06/23 17:02:12 2B0E94B0 r [viaccess-reader] ECM: Invalid ECM nano E0 Rejecting
myDM800: [LOG143]2011/06/23 17:02:12 2B0E94B0 r Error processing ecm for caid 0500, srvid 1F57 (servicename: FRANCE 3) on reader orange.

comment:4 Changed 8 years ago by littlejoe

Cc: littlejoe removed

Not working with r5476 too. Can somebody look closer at this? Thanks.

2011/06/24 8:49:51 2B0E94B0 r [viaccess-reader] ECM: Invalid ECM nano E0 Rejecting
2011/06/24 8:49:51 2B0E94B0 r Error processing ecm for caid 0500, srvid 20B4 (servicename: M6) on reader orange.
2011/06/24 8:49:51 2B8FF4B0 c client1 (0500&032920/20B4/AC:F0B1): not found (2 ms) by orange (of 1 avail 1)
2011/06/24 8:49:51 2B0E94B0 r [viaccess-reader] ECM: Invalid ECM nano E0 Rejecting
2011/06/24 8:49:51 2B0E94B0 r Error processing ecm for caid 0500, srvid 20B3 (servicename: TF1) on reader orange.
2011/06/24 8:49:51 2B8FF4B0 c client1 (0500&032920/20B3/AC:9227): not found (2 ms) by orange (of 1 avail 1)

Remember:

Last edited 8 years ago by littlejoe (previous) (diff)

comment:5 Changed 8 years ago by Deas

there was only one change between these 2 revisions.

until 5440 it was like this (starting at line 365):

            if( reader->last_geo.number_ecm > 0 ) {
                if (reader->last_geo.number_ecm == curnumber_ecm && 
                        !( ecm88Data[nanoLen-1] == 0x01 && (ecm88Data[2] == 0x03 && ecm88Data[3] == 0x0B && ecm88Data[4] == 0x00 ) )) {
                    keynr=ecm88Data[5];
                    cs_debug_mask(D_READER, "keyToUse = %02x, ECM ending with %02x",ecm88Data[5], ecm88Data[nanoLen-1]);
                } else {
                    if( ecm88Data[nanoLen-1] == 0x01 && (ecm88Data[2] == 0x03 && ecm88Data[3] == 0x0B && ecm88Data[4] == 0x00 ) )
                    {
                        cs_debug_mask(D_READER, "Skip ECM ending with = %02x for ecm number (%x) for provider %02x%02x%02x",ecm88Data[nanoLen-1], curnumber_ecm, ecm88Data[2], ecm88Data[3], ecm88Data[4]);
                    }
                    cs_debug_mask(D_READER, "Skip ECM ending with = %02x for ecm number (%x)",ecm88Data[nanoLen-1], curnumber_ecm);
                    ecm88Data=nextEcm;
                    ecm88Len-=curEcm88len;
                    continue; //loop to next ecm
                }

in 5441 it was changed to this:

				//force use ecm 00 provider 030B00 & 032940
				if( reader->last_geo.number_ecm > 0 ) 
				{ 
					if(ecm88Data[2] == 0x03 && ((ecm88Data[3] == 0x0B && ecm88Data[4] == 0x00)||
						                        (ecm88Data[3] == 0x29 && ecm88Data[4] == 0x40)))
					{
						if (reader->last_geo.number_ecm == curnumber_ecm && !( ecm88Data[nanoLen-1] == 0x01 )) //ecm 00
						{
							keynr=ecm88Data[5];
							cs_debug_mask(D_READER, "keyToUse = %02x, ECM ending with %02x",ecm88Data[5], ecm88Data[nanoLen-1]);
						} 
						else 
						{
							// ecm 01
							if( ecm88Data[nanoLen-1] == 0x01 )
							{
								cs_debug_mask(D_READER, "Skip ECM ending with = %02x for ecm number (%x) for provider %02x%02x%02x",ecm88Data[nanoLen-1], curnumber_ecm, ecm88Data[2], ecm88Data[3], ecm88Data[4]);
							}
							cs_debug_mask(D_READER, "Skip ECM ending with = %02x for ecm number (%x)",ecm88Data[nanoLen-1], curnumber_ecm);
							ecm88Data=nextEcm;
							ecm88Len-=curEcm88len;
							continue; //loop to next ecm
						}

with this link (http://www.streamboard.tv:8001/browser/trunk/reader-viaccess.c?rev=5440) you can download the old revision (link at bottom) and test if it is working again.

Last edited 8 years ago by Deas (previous) (diff)

comment:6 Changed 8 years ago by littlejoe

I'm sorry but I do not crosscompile MIPS version (I get them from UMP) and the test unit is a DM800.
The test is with an Orange card with provid 032920 (not 023940) TNTSAT non HD channels are OK with r5440 (see attached log) but not with r5441.

Changed 8 years ago by littlejoe

Attachment: log5440orangeOK.txt added

comment:7 Changed 8 years ago by littlejoe

Component: Card supportReader

Can you please resolve this orange issue on provid: 032920!

FRANCE3 ECM Rejected by 5509. (every version after 5440 not working)

DM800: [LOG184]2011/07/02 23:21:20 2B2014B0 r ecm:
DM800: [LOG185]2011/07/02 23:21:20 2B2014B0 80 70 A9 01 80 28 90 07 03 29 20 08 05 74 00 E0
DM800: [LOG186]2011/07/02 23:21:20 2B2014B0 01 20 EA 10 FA 5C 7B EE D8 D1 7D 19 AB 95 A5 EB
DM800: [LOG187]2011/07/02 23:21:20 2B2014B0 41 F7 C8 D1 F0 08 F3 80 00 9E 71 18 77 BB 80 28
DM800: [LOG188]2011/07/02 23:21:20 2B2014B0 90 07 03 29 20 08 06 11 00 E0 01 20 EA 10 69 14
DM800: [LOG189]2011/07/02 23:21:20 2B2014B0 EC C6 80 74 21 12 D0 D2 0C 99 38 39 82 4A F0 08
DM800: [LOG190]2011/07/02 23:21:20 2B2014B0 A7 CE 34 2A 10 EA C4 03 80 28 90 07 03 29 20 08
DM800: [LOG191]2011/07/02 23:21:20 2B2014B0 06 11 01 E0 01 20 EA 10 73 73 07 A0 B3 C5 22 29
DM800: [LOG192]2011/07/02 23:21:20 2B2014B0 6E 53 38 CB 29 D2 D4 C6 F0 08 81 CC 5E C9 2E E6
DM800: [LOG193]2011/07/02 23:21:20 2B2014B0 B4 B6 80 28 90 07 03 29 20 08 05 74 01 E0 01 20
DM800: [LOG194]2011/07/02 23:21:20 2B2014B0 EA 10 49 A7 41 83 20 87 62 08 64 94 25 83 B2 55
DM800: [LOG195]2011/07/02 23:21:20 2B2014B0 07 A7 F0 08 F1 67 61 2A 62 8B 78 E7
DM800: [LOG196]2011/07/02 23:21:20 2B2014B0 r [viaccess-reader] ECM: Invalid ECM nano E0 Rejecting
DM800: [LOG197]2011/07/02 23:21:20 2B2014B0 r Error processing ecm for caid 0500, srvid 1F57 (servicename: FRANCE 3) on reader orange.

FRANCE3 Accepted and OK by 5440.

DM800: [LOG348]2011/07/02 23:29:03 2B0E94B0 r ecm:
DM800: [LOG349]2011/07/02 23:29:03 2B0E94B0 80 70 A9 01 80 28 90 07 03 29 20 08 05 74 00 E0
DM800: [LOG350]2011/07/02 23:29:03 2B0E94B0 01 20 EA 10 81 D5 BB 83 03 83 36 5A ED 92 89 06
DM800: [LOG351]2011/07/02 23:29:03 2B0E94B0 2A 0F FC 9C F0 08 42 42 C9 23 F8 4E 6C 89 80 28
DM800: [LOG352]2011/07/02 23:29:03 2B0E94B0 90 07 03 29 20 08 06 11 00 E0 01 20 EA 10 46 83
DM800: [LOG353]2011/07/02 23:29:03 2B0E94B0 E5 30 C1 E4 B1 38 FC EE 10 ED BD 72 17 33 F0 08
DM800: [LOG354]2011/07/02 23:29:03 2B0E94B0 3D 87 73 55 9B B9 D1 38 80 28 90 07 03 29 20 08
DM800: [LOG355]2011/07/02 23:29:03 2B0E94B0 06 11 01 E0 01 20 EA 10 BE FE A7 0C 0E 10 9C 88
DM800: [LOG356]2011/07/02 23:29:03 2B0E94B0 DC A1 C6 6A A6 FD E4 70 F0 08 37 5F 6D 9D 85 94
DM800: [LOG357]2011/07/02 23:29:03 2B0E94B0 BB F3 80 28 90 07 03 29 20 08 05 74 01 E0 01 20
DM800: [LOG358]2011/07/02 23:29:03 2B0E94B0 EA 10 F9 AC DB DE 8F D3 26 7C E9 84 62 9A F1 BC
DM800: [LOG359]2011/07/02 23:29:03 2B0E94B0 B3 AA F0 08 22 D0 7B D0 F6 6B 16 91
DM800: [LOG360]2011/07/02 23:29:04 2B6FF4B0 c dream (0500&032920/1F57/AC:1944): found (89 ms) by orange (of 2 avail 3) - Orange Fr 19.2E - France 3 [Viaccess 4]
DM800: [LOG361]2011/07/02 23:29:04 2B6FF4B0 c cw:
DM800: [LOG362]2011/07/02 23:29:04 2B6FF4B0 4E 4C 83 1D E4 CF B4 67 B8 FE 48 FE 95 DA 0C 7B

comment:8 Changed 8 years ago by littlejoe

This is not only concerning France3 on 19E, this is for almost all TNT sat like channels.

comment:9 Changed 8 years ago by Deas

what client/server (incl. version!) and protocol do you use?

comment:10 Changed 8 years ago by littlejoe

This log is taken from [5509](Not working) then [5440](working) localy with DVBAPI on a Dreambox DM800. "dream" is the DVBAPI client.

Last edited 8 years ago by littlejoe (previous) (diff)

comment:11 Changed 8 years ago by Admin

The problem is r5447. It has two changes:

  • The lower one at around line 400 should fix r5441 for 032920, but
  • The upper change for a detection for this nano E0 somehow comes into play. I don't know what the background is. Why were these lines inserted? Were there problems on other Viacess channels?

Edit: Seems like the thread where this was discussed is here http://oscam.to/wbb3/index.php?page=Thread&threadID=7905 and here http://oscam.to/wbb3/index.php?page=Thread&threadID=7625 I'm not so good in French but I read a word of "pairing" in it. Maybe someone can enligthen us here...

Last edited 8 years ago by Admin (previous) (diff)

comment:12 Changed 8 years ago by lightman33

I will try to explain, Orange (032920 and 032940) is deploying new protection for some channels using the nano E0. This use the CA 18 and CA 1C commands. These commands are now used by the official demo.
Orange is also deploying new cards and active new protection only with them.
Some french people are working on that.
I'm not sure but I think : when the nano E0 is present in ECM, oscam must choose sortECM finishing by 01 and not shortECM finishing by 00. In others cases, oscam must choose shortECM finishing by 00.
I discover today that 2 formats of the nano E0 exist. The first one, used for protection of HD and cinema channels (E0 02 00 02, as you can see is very similar to the D2 NANO using AES keys) and second one for france 3 (E0 01 20). Key 2 or Key 20 ?? Maybe the same for all TNTSAT channels ?
So we need to modify reader-viaccess.C, I will contact goodsat or do it myself.
For future, we need to dump the memory of the deco, working on this now but it's a hard job to make JTAG connections.

Last edited 8 years ago by lightman33 (previous) (diff)

comment:13 Changed 8 years ago by lightman33

problem for cinema channels described in ticket #1901

comment:14 Changed 8 years ago by littlejoe

Ok thanks lightman33. I understand a littlebit more now. Another information is that there are different ECM for the Orange cinema channels on Astra and the same on Hotbird. Hotbird is working better than Astra. Example with Orange Cine Happy:

Orange Cine Happy on 19 E with 5440 not working:
DM800: [LOG115]2011/07/03 23:23:51 2B0E94B0 r ecm:
DM800: [LOG116]2011/07/03 23:23:51 2B0E94B0 80 70 6B 00 80 33 90 07 03 29 20 08 06 11 00 E0
DM800: [LOG117]2011/07/03 23:23:51 2B0E94B0 02 00 02 E2 03 3E E3 29 E2 03 3E E3 FF EA 10 6A
DM800: [LOG118]2011/07/03 23:23:51 2B0E94B0 75 0E B4 B4 42 5C 06 CB 84 4E 2B 68 25 4F CC F0
DM800: [LOG119]2011/07/03 23:23:51 2B0E94B0 08 ED 68 9F 4B 0D B9 4C 8B 80 33 90 07 03 29 20
DM800: [LOG120]2011/07/03 23:23:51 2B0E94B0 08 06 11 01 E0 02 00 02 E2 03 3E E3 29 E2 03 3E
DM800: [LOG121]2011/07/03 23:23:51 2B0E94B0 E3 FF EA 10 B1 2E CB DF B2 49 A8 2B 58 F3 F7 19
DM800: [LOG122]2011/07/03 23:23:51 2B0E94B0 CE 37 BB 37 F0 08 FD 04 46 13 08 A9 1D 77
DM800: [LOG123]2011/07/03 23:23:51 2B0E94B0 r Error processing ecm for caid 0500, srvid 2AFB (servicename: Orange Cin? Happy) on reader orange.
DM800: [LOG124]2011/07/03 23:23:51 2C0FF4B0 c client (0500&032920/2AFB/6E:5C86): not found (135 ms) by orange (of 1 avail 1) (key to use is not the curren - Orange Fr 19.2E - Orange Cine Happy [Viaccess 4]
DM800: [LOG125]2011/07/03 23:23:51 2C0FF4B0 c cw:
DM800: [LOG126]2011/07/03 23:23:51 2C0FF4B0 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

Orange Cine Happy on 19 E with 5509 not working:
DM800: [LOG157]2011/07/03 23:34:52 2B2014B0 r ecm:
DM800: [LOG158]2011/07/03 23:34:52 2B2014B0 80 70 6B 00 80 33 90 07 03 29 20 08 06 11 00 E0
DM800: [LOG159]2011/07/03 23:34:52 2B2014B0 02 00 02 E2 03 3E E3 29 E2 03 3E E3 FF EA 10 DE
DM800: [LOG160]2011/07/03 23:34:52 2B2014B0 53 1E A7 59 D4 B3 A1 51 E3 8F 3A E9 01 CE 41 F0
DM800: [LOG161]2011/07/03 23:34:52 2B2014B0 08 8E 1B 0B D6 99 90 51 B6 80 33 90 07 03 29 20
DM800: [LOG162]2011/07/03 23:34:52 2B2014B0 08 06 11 01 E0 02 00 02 E2 03 3E E3 29 E2 03 3E
DM800: [LOG163]2011/07/03 23:34:52 2B2014B0 E3 FF EA 10 F3 8D 2A B8 28 E3 CC 7D C1 BA 30 DC
DM800: [LOG164]2011/07/03 23:34:52 2B2014B0 ED 8E 3F 81 F0 08 58 E1 84 25 65 1B 29 91
DM800: [LOG165]2011/07/03 23:34:52 2B2014B0 r Error processing ecm for caid 0500, srvid 2AFB (servicename: Orange Cin? Happy) on reader orange.
DM800: [LOG166]2011/07/03 23:34:52 2B96B4B0 c client (0500&032920/2AFB/6E:4005): not found (21 ms) by orange (of 1 avail 1) - Orange Fr 19.2E - Orange Cine Happy [Viaccess 4]
DM800: [LOG167]2011/07/03 23:34:52 2B96B4B0 c cw:
DM800: [LOG168]2011/07/03 23:34:52 2B96B4B0 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

Orange Cine Happy on 13E with 5440 working:
DM800: [LOG606]2011/07/03 23:27:34 2B0E94B0 r ecm:
DM800: [LOG607]2011/07/03 23:27:34 2B0E94B0 80 70 9C 00 80 2F 90 07 03 29 20 08 05 74 FF E2
DM800: [LOG608]2011/07/03 23:27:34 2B0E94B0 03 3E E3 FF E2 03 3E E3 29 EA 10 19 3C D7 A8 CF
DM800: [LOG609]2011/07/03 23:27:34 2B0E94B0 58 80 A4 BC 2C B8 73 15 5E 60 CF F0 08 A1 15 76
DM800: [LOG610]2011/07/03 23:27:34 2B0E94B0 01 C0 AD 28 F2 80 33 90 07 03 29 20 08 06 11 00
DM800: [LOG611]2011/07/03 23:27:34 2B0E94B0 E0 02 00 02 E2 03 3E E3 29 E2 03 3E E3 FF EA 10
DM800: [LOG612]2011/07/03 23:27:34 2B0E94B0 79 11 B9 AA DC 51 20 2B 25 92 BF CB 07 A8 8B E9
DM800: [LOG613]2011/07/03 23:27:34 2B0E94B0 F0 08 C5 25 54 4D 3B 86 48 5D 80 33 90 07 03 29
DM800: [LOG614]2011/07/03 23:27:34 2B0E94B0 20 08 06 11 01 E0 02 00 02 E2 03 3E E3 29 E2 03
DM800: [LOG615]2011/07/03 23:27:34 2B0E94B0 3E E3 FF EA 10 CE 5A 96 78 43 00 06 6A E1 4B AE
DM800: [LOG616]2011/07/03 23:27:34 2B0E94B0 4D ED B7 2A CB F0 08 83 6B 53 5E 79 0C 99 27
DM800: [LOG617]2011/07/03 23:27:34 2C0FF4B0 c client (0500&032920/1FAA/9F:2EFD): found (115 ms) by orange (of 1 avail 1) - Orange Fr 13E - Orange Cine Happy [Viaccess 4]
DM800: [LOG618]2011/07/03 23:27:34 2C0FF4B0 c cw:
DM800: [LOG619]2011/07/03 23:27:34 2C0FF4B0 60 02 54 B6 78 6F 57 3E 41 35 99 0F FA 69 A1 04

Orange Cine Happy on 13E with 5509 working:
DM800: [LOG695]2011/07/03 23:33:14 2B2014B0 r ecm:
DM800: [LOG696]2011/07/03 23:33:14 2B2014B0 80 70 9C 00 80 2F 90 07 03 29 20 08 05 74 FF E2
DM800: [LOG697]2011/07/03 23:33:14 2B2014B0 03 3E E3 FF E2 03 3E E3 29 EA 10 FE 4C 1F 96 3F
DM800: [LOG698]2011/07/03 23:33:14 2B2014B0 CF ED 66 39 0F 38 27 63 12 83 97 F0 08 A9 0D 02
DM800: [LOG699]2011/07/03 23:33:14 2B2014B0 0F 40 0E 50 C1 80 33 90 07 03 29 20 08 06 11 00
DM800: [LOG700]2011/07/03 23:33:14 2B2014B0 E0 02 00 02 E2 03 3E E3 29 E2 03 3E E3 FF EA 10
DM800: [LOG701]2011/07/03 23:33:14 2B2014B0 B9 CB 4C A4 CF 2A D7 04 9C F9 3A E9 45 1C F7 6B
DM800: [LOG702]2011/07/03 23:33:14 2B2014B0 F0 08 F7 3E 5A F5 F2 9A 86 FD 80 33 90 07 03 29
DM800: [LOG703]2011/07/03 23:33:14 2B2014B0 20 08 06 11 01 E0 02 00 02 E2 03 3E E3 29 E2 03
DM800: [LOG704]2011/07/03 23:33:14 2B2014B0 3E E3 FF EA 10 89 FB FD 8F CB BA 88 38 27 23 9A
DM800: [LOG705]2011/07/03 23:33:14 2B2014B0 86 02 CB A0 21 F0 08 A0 D7 31 1A 56 A9 A7 B1
DM800: [LOG706]2011/07/03 23:33:14 2B96B4B0 c client (0500&032920/1FAA/9F:D05B): found (139 ms) by orange (of 1 avail 1) - Orange Fr 13E - Orange Cine Happy [Viaccess 4]
DM800: [LOG707]2011/07/03 23:33:14 2B96B4B0 c cw:
DM800: [LOG708]2011/07/03 23:33:14 2B96B4B0 5A 02 B4 10 32 B3 00 E5 1F B1 71 41 C1 57 A8 C0

All TNTSAT non HD channels on Astra are OK with 5440 but have nano E0 error with the last versions.

Changed 8 years ago by lightman33

Attachment: patch_tntsat_orange.diff added

patch for 5603 svn

comment:15 Changed 8 years ago by lightman33

I have made a patch for this problem (see attached file named patch_tntsat_orange.diff). Could someone put it in official svn, I haven't any account.
Special thanks to gdepre for testing.

comment:16 Changed 8 years ago by lightman33

Resolution: fixed
Status: newclosed

comment:17 Changed 8 years ago by littlejoe

Yes thanks. TNT channels (only 13E) are Ok but it remains Orange cinema and sport channels. Hope we can solve this.

Last edited 8 years ago by littlejoe (previous) (diff)
Note: See TracTickets for help on using tickets.